body {
  display: flex;
  height: 100%;
  margin: 0;
  padding: 0;
  user-select: none;
  background-color: rgb(77, 77, 77);
  color: rgb(218, 218, 218);
  font-family: 'Myriad Pro', sans-serif;
  scroll-behavior: smooth;
  font-weight: 300;
}

h1 {
  font-weight: 300;
  font-size: 25pt;
  letter-spacing: 2px;
  margin-block-start: 0;
  margin-block-end: 0;
}

h2 {
  font-weight: 300;
  font-size: 22pt;
  letter-spacing: 2;
  margin-block-end: 0;
  margin-block-end: 0;
}

p {
  margin-block-start: 0;
  margin-block-end: 0;
}

.stop-scrolling {
  height: 100%;
  overflow: hidden;
}

.header-container {
  /* flex: 0 1 auto; */
  height: 85px;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 998;
}

.header {
  height: 100%;
  display: flex;
  align-items: center;
  background-color: rgb(151, 151, 151);
  transition: height 0.5s;
  transition-timing-function: ease;
  overflow: hidden;
}

.nav {
  overflow: hidden;
  padding: 17px;
}

.nav a {
  font-size: 13pt;
  color: white;
  margin: 0px 16px;
  text-decoration: none;
  transition: .6s;
}

.nav a:hover {
  border-bottom: 1px solid currentColor;
  cursor: pointer;
}

.nav a.active {
  border-bottom: 1px solid currentColor;
}

.nav .icon {
  display: none;
}

.nav .icon:hover {
  border-bottom: 0;
}

.business-title {
  font-size: 34pt;
  line-height: 38px;
  letter-spacing: 3px;
  text-align: right;    
  color: rgb(29, 29, 29);
  margin-right: 10px;
  margin-left: auto;
  padding-top: 5px;
}

.front-page {
  display: inline-flex;
}

.home-image {
  height: 100%;
  background-image: url("images/home/homepage.jpg");
  background-position: 50% 30%;
  background-repeat: no-repeat;
  background-size: cover;
}

.home-image h1 {
  font-size: 25pt;
  padding: 20px;
  width: fit-content;
  text-align: center;
  background-image: radial-gradient(circle, rgb(68 68 68 / 50%), #73737300);
  text-shadow: 0px 0px 5px #1b1b1b;
}

.badge {
  display: flex;
  margin-top: 10px;
}

.home-image .badge {
  margin-left: 20px;
}

.badge-image {
  max-width: 100px;
}

.illuminata-badge {
  display: flex;
}

.illuminata-image {
  width: 40%;
}

.illuminata-text-right {
  width: 24%; 
  display: flex; 
  align-items: center;
}

.illuminata-text-left {
  width: 35%; 
  display: flex; 
  align-items: center;
}

.illuminata-text {
  font-size: 3vw;
  text-align: center;
  letter-spacing: 3px; 
  margin-right: auto;
  margin-left: auto;
}

.illuminata-title {
  letter-spacing: 6px;
}

.shop {
  display: none;
}

.illuminata-intro, .shop-block, .illuminata-info, .specs, .inquiries p {
  margin: 40px 4vw 80px 4vw;
  padding: 10px;
  letter-spacing: 3;
  font-size: 16pt;
  border-bottom: 1px solid currentColor;
}

.illuminata-intro {
  border-left: 1px solid currentColor;
}

.shop-block {
  display: flex;
  font-size: 2.8vw;
}
.shop-block-left {
  border-right: 1px solid currentColor;
}

.shop-block-right {
  border-left: 1px solid currentColor;
}

.shop p {
  display: flex;
  align-items: center; 
}

.shop-text-left {
  margin-right: 4vw;
}

.shop-text-right {
  margin-left: 4vw;
  text-align: right;
}

.shop-block img {
  max-width: 750px;
  max-height: 750px;
  width: 35%;
}

.info-wrap {
  text-align: center;
  max-width: 1400px;
  margin: 130px auto 100px auto;
}

.illuminata-info {
  display: grid;
  grid-template-columns: repeat(auto-fill, 330px);
  justify-content: center;
  grid-gap: 4vw;
  font-size: 21pt;
  letter-spacing: 1px;
  border-right: 1px solid currentColor;
}

.info-block img {
  width: 300px;
  height: 300px;
  min-width: 225px;
  min-height: 225px;
  object-fit: cover;
}

.info-block p {
  padding: 10px 0;
}

.specs {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-between;
  margin-top: 0;
  letter-spacing: 0px;
  border-left: 1px solid currentColor; 
}

.specs-p-wrap {
  flex: 0 0 auto;
  width: 430px;
  margin-bottom: 50px;
}

.specs p {
  margin-left: 10px;
  font-size: 15pt;
}

.specs div {
  margin: 0 auto;
  padding: 0 10px;    
}

.colours {
  flex: 0 0 auto;
}

.colours-image {
  max-width: 300px;
  min-width: 250px;
}

.dimensions {
  flex: 1 1 350px;
}

.specs-image {
  max-width: 700px;
  min-width: 325px;
}

.specs img {
  width: 100%;
}

.inquiries p {
  user-select: text;
  border-bottom: 0px;
}

.copyright p { 
  display: block;
  text-align: center;
  padding-bottom: 12px;
}

.testimonial {
  display: grid;
  grid-template-columns: auto auto auto auto;
  justify-content: center;
}

.testimonial div {
  padding: 45px 34px;
  font-size: 12pt;
}

.paragraph1 {
  background-color:rgb(12, 12, 12)
}

.paragraph2 {
  background-color:rgb(24, 24, 24);
}

.paragraph3 {
  background-color:rgb(36, 36, 36);
}

.paragraph4 {
  background-color:rgb(48, 48, 48);
}

.empty {
  display: block;
} 

.testimonial-text {
  text-align: left ! important;
  margin: unset ! important;
}

.page {
  padding-top: 85px;
  flex: 1 1 auto;
}

.gallery {
  display: none;
  align-items: center;
  height: fit-content;
}

.gallery-images {
  display: grid;
  grid-template-columns: repeat(auto-fill, 230px);
  grid-gap: 25px;
  justify-content: center;
  padding-right: 10px;
  padding-left: 10px;
  padding-bottom: 85px;
}

.gallery-images img {
  width: 230px;
  height: 230px;
  object-fit: cover;
  margin: 0 auto;
}

.gallery-images img:hover {
  opacity: 0.75;
  transition: 0.3s;
  cursor: pointer;
}

.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 999; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.9); /* Black w/ opacity */ 
}

/* Modal Content (image) */
.modal-content {
  margin: auto;
  display: block;
  width: auto;
  min-width: 150px;
  max-width: 900px;
  max-height: 90%;
}

.image-count {
  position: absolute;
  top: 25px;
  left: 35px;
  color: #f1f1f1;
  font-weight: bold;
  font-size: 15pt;
}

/* The Close Button */
.close {
  position: absolute;
  top: 15px;
  right: 35px;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
}

.close:hover,
.close:focus,
.arrow:hover,
.arrow:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
  user-select: none;
}

.arrow-container {
  display: flex;
  align-items: center; 
}

.right-arrow {
  padding-right: 20px;
}

.left-arrow {
  padding-left: 20px;
}

.arrow {
  color: #f1f1f1;
  font-size: 60px;
  transition: 0.3s;
  opacity: 0.7;
  user-select: none;
}

.text {
  margin-right: auto;
  margin-left: auto;
  text-align: center;
  line-height: 1.7;
}

.contact {
  display: none;
}

.get-in-touch {
  font-size: 32pt;
  letter-spacing: 2px;
  margin-block-end: 22px;
}

.contact-paragraph {
  font-size: 20pt;
  user-select: text;
}

.about {
  display: none;
}

.about-image {
  max-width: 400px;
  margin-top: 40px;
  margin-bottom: 40px;
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.about p {
  font-size: 16pt;
  padding-left: 20vw;
  padding-right: 20vw;
  padding-bottom: 40px;
  text-align: justify;
}

.reviews {
  display: none;
}

/* RESPONSIVE  */
@media only screen and (max-height: 450px) {
  .contact-paragraph {
    line-height: 1.3;
  }

  .modal-content {
    /* max-width: 380px ! important; */
    padding-top: 2%;
    padding-bottom: 2%;
  }
}

@media only screen and (max-width: 500px) {
  .business-title {
    font-size: 27pt;
    letter-spacing: 2px;
  }
  
  .home-image h1 {
    width: auto;
  }

  .home-image .badge {
    margin-left: 0px;
  }

  .badge {
    justify-content: center;
  }

  .illuminata-badge {
    justify-content: center;
  }

  .illuminata-info {
    display: block;
    grid-gap: 4vw;
    font-size: 13pt;
    margin: 10px;
  }
  
  .info-block {
    margin: 0 0 50px 0;
  }
  
  .info-block img {
    width: 90%;
    height: unset;
  }
  
  .about-image {
    width: 80%;
    margin-top: 12px;
  }

  .about p {
    font-size: 13pt ! important;
    line-height: 1.4 ! important;
    padding-right: 3% ! important;
    padding-left: 3% ! important;
  }

  .testimonial {
    grid-template-columns: auto ! important;
  }  
}


@media only screen and (max-width: 600px) {
  h1 {
    margin-bottom: 0px;
  }

  .home-image {
    background-position: 80% 50%;
  }

  .get-in-touch {
    font-size: 24pt;
  }

  .illuminata-image, .illuminata-text-left, .illuminata-text-right {
    width: 100%;
  }

  .illuminata-text-left, .illuminata-text-right {
    padding-top: 15px;
    padding-bottom: 15px;
  }

  .illuminata-text {
    font-size: 9vw;
    line-height: 1;
  }

  .front-page {
    display: block;
  }

  .illuminata-intro {
    font-size: 12pt;
    letter-spacing: 1px;
    margin-top: 20px;
    margin-bottom: 50px;
    padding: 5px;
  }

  .shop-block {
    flex-wrap: wrap;
    font-size: 13pt;
    letter-spacing: 1px;
    padding: 5px;
  }
  
  .shop-block img {
    margin-top: 15px;
    display: flex;
    align-items: center;
    width: 47%;
    max-width: 170px;
    order: 2;
  }

  .image-left {
    margin-right: auto;
  }

  .image-right {
    margin-left: auto;
  }

  .shop-text-right {
    order: 1;
  }

  .specs div {
    padding: 0;
  }

  .specs {
    margin-bottom: 50px;
  }
  
  .specs-p-wrap {
    width: 273px;
  }

  .specs p {
    margin: 0;
    font-size: 9pt;
  }

  .specs img {
    min-width: 200px;
  }

  .colours {
    width: 100%;
  }

  .specs h2 { 
    margin-top: 30px;
    margin-block-end: 0px;
  }

  .colours-image {
    min-width: 270px;
  }

  .dimensions {
    width: 100%;
  }

  .specs-image {
    min-width: 270px;
  }

  .inquiries p {
    font-size: 13pt;
    margin-bottom: 40px;
  }

  .copyright {
    font-size: 9pt;
  }

  .contact-paragraph {
    padding-left: calc(0px + 4vw); 
    padding-right: calc(0px + 4vw);
    font-size: 16pt;
  }

  .gallery-images {
    display: block;
    text-align: center;
  }

  .gallery-images img {
    padding: 10px;
    width: 250px;
    height: 250px;
  }

  .right-arrow {
    padding-right: 0px;
  }

  .left-arrow {
    padding-left: 0px;
  }

  .arrow {
    font-size: 40px;
  }
}

@media only screen and (max-width: 750px) {
  .about p {
    font-size: 15pt;
    padding-left: 10%;
    padding-right: 10%;
    line-height: 1.5;
  }
  
  .testimonial {
    grid-template-columns: auto auto;
  }
  
  .empty {
    display: none;
  }
}

@media only screen and (max-width: 975px) {
  .nav a {
    display: none;
  }

  .nav a.icon {
    float: right;
    display: block;
  }

  .nav.responsive {
    margin-top: auto;
    background-color: rgb(151, 151, 151);
  }

  .nav.responsive a {
    float: none;
    display: block;
    text-align: left;
    margin: 8px 9px 10px 9px;
    width: max-content;
  }

  .nav.responsive .icon  {
    text-align: center;
    width: max-content;
    margin: 15px 18px;
  }

  .header.responsive {
    min-height: 85px;
    height: 285px;
  }
}